# CMAKE generated file: DO NOT EDIT!
# Generated by "Ninja" Generator, CMake Version 3.28

# This file contains all the build statements describing the
# compilation DAG.

# =============================================================================
# Write statements declared in CMakeLists.txt:
# 
# Which is the root file.
# =============================================================================

# =============================================================================
# Project: ADS_Praktikum
# Configurations: Debug
# =============================================================================

#############################################
# Minimal version of Ninja required by this file

ninja_required_version = 1.5


#############################################
# Set configuration variable for custom commands.

CONFIGURATION = Debug
# =============================================================================
# Include auxiliary files.


#############################################
# Include rules file.

include CMakeFiles/rules.ninja

# =============================================================================

#############################################
# Logical path to working directory; prefix for absolute paths.

cmake_ninja_workdir = /Users/safak/Documents/ADS/Praktikum/cmake-build-debug/

#############################################
# Utility command for edit_cache

build CMakeFiles/edit_cache.util: CUSTOM_COMMAND
  COMMAND = cd /Users/safak/Documents/ADS/Praktikum/cmake-build-debug && /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
  DESC = No interactive CMake dialog available...
  restat = 1

build edit_cache: phony CMakeFiles/edit_cache.util


#############################################
# Utility command for rebuild_cache

build CMakeFiles/rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cd /Users/safak/Documents/ADS/Praktikum/cmake-build-debug && /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/bin/cmake --regenerate-during-build -S/Users/safak/Documents/ADS/Praktikum -B/Users/safak/Documents/ADS/Praktikum/cmake-build-debug
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build rebuild_cache: phony CMakeFiles/rebuild_cache.util

# =============================================================================
# Write statements declared in CMakeLists.txt:
# /Users/safak/Documents/ADS/Praktikum/CMakeLists.txt
# =============================================================================

# =============================================================================
# Object build statements for EXECUTABLE target P1_1_Ringpuffer


#############################################
# Order-only phony target for P1_1_Ringpuffer

build cmake_object_order_depends_target_P1_1_Ringpuffer: phony || P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir

build P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir/main.cpp.o: CXX_COMPILER__P1_1_Ringpuffer_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P1/ADS_P1_1_Ringpuffer/main.cpp || cmake_object_order_depends_target_P1_1_Ringpuffer
  DEP_FILE = P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir/main.cpp.o.d
  FLAGS = -g -std=gnu++11 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always
  OBJECT_DIR = P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir
  OBJECT_FILE_DIR = P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir
  TARGET_COMPILE_PDB = P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir/
  TARGET_PDB = P1/ADS_P1_1_Ringpuffer/P1_1_Ringpuffer.pdb

build P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir/Ring.cpp.o: CXX_COMPILER__P1_1_Ringpuffer_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P1/ADS_P1_1_Ringpuffer/Ring.cpp || cmake_object_order_depends_target_P1_1_Ringpuffer
  DEP_FILE = P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir/Ring.cpp.o.d
  FLAGS = -g -std=gnu++11 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always
  OBJECT_DIR = P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir
  OBJECT_FILE_DIR = P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir
  TARGET_COMPILE_PDB = P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir/
  TARGET_PDB = P1/ADS_P1_1_Ringpuffer/P1_1_Ringpuffer.pdb

build P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir/RingNode.cpp.o: CXX_COMPILER__P1_1_Ringpuffer_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P1/ADS_P1_1_Ringpuffer/RingNode.cpp || cmake_object_order_depends_target_P1_1_Ringpuffer
  DEP_FILE = P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir/RingNode.cpp.o.d
  FLAGS = -g -std=gnu++11 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always
  OBJECT_DIR = P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir
  OBJECT_FILE_DIR = P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir
  TARGET_COMPILE_PDB = P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir/
  TARGET_PDB = P1/ADS_P1_1_Ringpuffer/P1_1_Ringpuffer.pdb

build P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir/RingTest.cpp.o: CXX_COMPILER__P1_1_Ringpuffer_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P1/ADS_P1_1_Ringpuffer/RingTest.cpp || cmake_object_order_depends_target_P1_1_Ringpuffer
  DEP_FILE = P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir/RingTest.cpp.o.d
  FLAGS = -g -std=gnu++11 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always
  OBJECT_DIR = P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir
  OBJECT_FILE_DIR = P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir
  TARGET_COMPILE_PDB = P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir/
  TARGET_PDB = P1/ADS_P1_1_Ringpuffer/P1_1_Ringpuffer.pdb


# =============================================================================
# Link build statements for EXECUTABLE target P1_1_Ringpuffer


#############################################
# Link the executable P1/ADS_P1_1_Ringpuffer/P1_1_Ringpuffer

build P1/ADS_P1_1_Ringpuffer/P1_1_Ringpuffer: CXX_EXECUTABLE_LINKER__P1_1_Ringpuffer_Debug P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir/main.cpp.o P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir/Ring.cpp.o P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir/RingNode.cpp.o P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir/RingTest.cpp.o
  FLAGS = -g -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk
  OBJECT_DIR = P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir
  POST_BUILD = :
  PRE_LINK = :
  TARGET_COMPILE_PDB = P1/ADS_P1_1_Ringpuffer/CMakeFiles/P1_1_Ringpuffer.dir/
  TARGET_FILE = P1/ADS_P1_1_Ringpuffer/P1_1_Ringpuffer
  TARGET_PDB = P1/ADS_P1_1_Ringpuffer/P1_1_Ringpuffer.pdb


#############################################
# Utility command for edit_cache

build P1/ADS_P1_1_Ringpuffer/CMakeFiles/edit_cache.util: CUSTOM_COMMAND
  COMMAND = cd /Users/safak/Documents/ADS/Praktikum/cmake-build-debug/P1/ADS_P1_1_Ringpuffer && /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
  DESC = No interactive CMake dialog available...
  restat = 1

build P1/ADS_P1_1_Ringpuffer/edit_cache: phony P1/ADS_P1_1_Ringpuffer/CMakeFiles/edit_cache.util


#############################################
# Utility command for rebuild_cache

build P1/ADS_P1_1_Ringpuffer/CMakeFiles/rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cd /Users/safak/Documents/ADS/Praktikum/cmake-build-debug/P1/ADS_P1_1_Ringpuffer && /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/bin/cmake --regenerate-during-build -S/Users/safak/Documents/ADS/Praktikum -B/Users/safak/Documents/ADS/Praktikum/cmake-build-debug
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build P1/ADS_P1_1_Ringpuffer/rebuild_cache: phony P1/ADS_P1_1_Ringpuffer/CMakeFiles/rebuild_cache.util

# =============================================================================
# Write statements declared in CMakeLists.txt:
# /Users/safak/Documents/ADS/Praktikum/CMakeLists.txt
# =============================================================================

# =============================================================================
# Object build statements for EXECUTABLE target P1_2_Binaerbaum


#############################################
# Order-only phony target for P1_2_Binaerbaum

build cmake_object_order_depends_target_P1_2_Binaerbaum: phony || P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir

build P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir/main.cpp.o: CXX_COMPILER__P1_2_Binaerbaum_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P1/ADS_P1_2_Binaerbaum/main.cpp || cmake_object_order_depends_target_P1_2_Binaerbaum
  DEP_FILE = P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir/main.cpp.o.d
  FLAGS = -g -std=gnu++11 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always
  OBJECT_DIR = P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir
  OBJECT_FILE_DIR = P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir
  TARGET_COMPILE_PDB = P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir/
  TARGET_PDB = P1/ADS_P1_2_Binaerbaum/P1_2_Binaerbaum.pdb

build P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir/Tree.cpp.o: CXX_COMPILER__P1_2_Binaerbaum_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P1/ADS_P1_2_Binaerbaum/Tree.cpp || cmake_object_order_depends_target_P1_2_Binaerbaum
  DEP_FILE = P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir/Tree.cpp.o.d
  FLAGS = -g -std=gnu++11 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always
  OBJECT_DIR = P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir
  OBJECT_FILE_DIR = P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir
  TARGET_COMPILE_PDB = P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir/
  TARGET_PDB = P1/ADS_P1_2_Binaerbaum/P1_2_Binaerbaum.pdb

build P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir/TreeNode.cpp.o: CXX_COMPILER__P1_2_Binaerbaum_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P1/ADS_P1_2_Binaerbaum/TreeNode.cpp || cmake_object_order_depends_target_P1_2_Binaerbaum
  DEP_FILE = P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir/TreeNode.cpp.o.d
  FLAGS = -g -std=gnu++11 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always
  OBJECT_DIR = P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir
  OBJECT_FILE_DIR = P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir
  TARGET_COMPILE_PDB = P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir/
  TARGET_PDB = P1/ADS_P1_2_Binaerbaum/P1_2_Binaerbaum.pdb

build P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir/TreeTest.cpp.o: CXX_COMPILER__P1_2_Binaerbaum_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P1/ADS_P1_2_Binaerbaum/TreeTest.cpp || cmake_object_order_depends_target_P1_2_Binaerbaum
  DEP_FILE = P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir/TreeTest.cpp.o.d
  FLAGS = -g -std=gnu++11 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always
  OBJECT_DIR = P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir
  OBJECT_FILE_DIR = P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir
  TARGET_COMPILE_PDB = P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir/
  TARGET_PDB = P1/ADS_P1_2_Binaerbaum/P1_2_Binaerbaum.pdb


# =============================================================================
# Link build statements for EXECUTABLE target P1_2_Binaerbaum


#############################################
# Link the executable P1/ADS_P1_2_Binaerbaum/P1_2_Binaerbaum

build P1/ADS_P1_2_Binaerbaum/P1_2_Binaerbaum: CXX_EXECUTABLE_LINKER__P1_2_Binaerbaum_Debug P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir/main.cpp.o P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir/Tree.cpp.o P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir/TreeNode.cpp.o P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir/TreeTest.cpp.o
  FLAGS = -g -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk
  OBJECT_DIR = P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir
  POST_BUILD = :
  PRE_LINK = :
  TARGET_COMPILE_PDB = P1/ADS_P1_2_Binaerbaum/CMakeFiles/P1_2_Binaerbaum.dir/
  TARGET_FILE = P1/ADS_P1_2_Binaerbaum/P1_2_Binaerbaum
  TARGET_PDB = P1/ADS_P1_2_Binaerbaum/P1_2_Binaerbaum.pdb


#############################################
# Utility command for edit_cache

build P1/ADS_P1_2_Binaerbaum/CMakeFiles/edit_cache.util: CUSTOM_COMMAND
  COMMAND = cd /Users/safak/Documents/ADS/Praktikum/cmake-build-debug/P1/ADS_P1_2_Binaerbaum && /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
  DESC = No interactive CMake dialog available...
  restat = 1

build P1/ADS_P1_2_Binaerbaum/edit_cache: phony P1/ADS_P1_2_Binaerbaum/CMakeFiles/edit_cache.util


#############################################
# Utility command for rebuild_cache

build P1/ADS_P1_2_Binaerbaum/CMakeFiles/rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cd /Users/safak/Documents/ADS/Praktikum/cmake-build-debug/P1/ADS_P1_2_Binaerbaum && /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/bin/cmake --regenerate-during-build -S/Users/safak/Documents/ADS/Praktikum -B/Users/safak/Documents/ADS/Praktikum/cmake-build-debug
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build P1/ADS_P1_2_Binaerbaum/rebuild_cache: phony P1/ADS_P1_2_Binaerbaum/CMakeFiles/rebuild_cache.util

# =============================================================================
# Write statements declared in CMakeLists.txt:
# /Users/safak/Documents/ADS/Praktikum/CMakeLists.txt
# =============================================================================

# =============================================================================
# Object build statements for EXECUTABLE target P2_1_Sortieren


#############################################
# Order-only phony target for P2_1_Sortieren

build cmake_object_order_depends_target_P2_1_Sortieren: phony || P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir

build P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir/main.cpp.o: CXX_COMPILER__P2_1_Sortieren_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P2/ADS_P2_1_Sortieren/main.cpp || cmake_object_order_depends_target_P2_1_Sortieren
  DEP_FILE = P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir/main.cpp.o.d
  FLAGS = -g -std=gnu++17 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always -fopenmp
  OBJECT_DIR = P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir
  OBJECT_FILE_DIR = P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir
  TARGET_COMPILE_PDB = P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir/
  TARGET_PDB = P2/ADS_P2_1_Sortieren/P2_1_Sortieren.pdb

build P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir/sorting.cpp.o: CXX_COMPILER__P2_1_Sortieren_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P2/ADS_P2_1_Sortieren/sorting.cpp || cmake_object_order_depends_target_P2_1_Sortieren
  DEP_FILE = P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir/sorting.cpp.o.d
  FLAGS = -g -std=gnu++17 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always -fopenmp
  OBJECT_DIR = P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir
  OBJECT_FILE_DIR = P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir
  TARGET_COMPILE_PDB = P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir/
  TARGET_PDB = P2/ADS_P2_1_Sortieren/P2_1_Sortieren.pdb

build P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir/unit_tests.cpp.o: CXX_COMPILER__P2_1_Sortieren_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P2/ADS_P2_1_Sortieren/unit_tests.cpp || cmake_object_order_depends_target_P2_1_Sortieren
  DEP_FILE = P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir/unit_tests.cpp.o.d
  FLAGS = -g -std=gnu++17 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always -fopenmp
  OBJECT_DIR = P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir
  OBJECT_FILE_DIR = P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir
  TARGET_COMPILE_PDB = P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir/
  TARGET_PDB = P2/ADS_P2_1_Sortieren/P2_1_Sortieren.pdb


# =============================================================================
# Link build statements for EXECUTABLE target P2_1_Sortieren


#############################################
# Link the executable P2/ADS_P2_1_Sortieren/P2_1_Sortieren

build P2/ADS_P2_1_Sortieren/P2_1_Sortieren: CXX_EXECUTABLE_LINKER__P2_1_Sortieren_Debug P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir/main.cpp.o P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir/sorting.cpp.o P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir/unit_tests.cpp.o | /opt/homebrew/Cellar/gcc/14.2.0_1/lib/gcc/current/libgomp.dylib
  FLAGS = -g -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk
  LINK_LIBRARIES = /opt/homebrew/Cellar/gcc/14.2.0_1/lib/gcc/current/libgomp.dylib
  OBJECT_DIR = P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir
  POST_BUILD = :
  PRE_LINK = :
  TARGET_COMPILE_PDB = P2/ADS_P2_1_Sortieren/CMakeFiles/P2_1_Sortieren.dir/
  TARGET_FILE = P2/ADS_P2_1_Sortieren/P2_1_Sortieren
  TARGET_PDB = P2/ADS_P2_1_Sortieren/P2_1_Sortieren.pdb


#############################################
# Utility command for edit_cache

build P2/ADS_P2_1_Sortieren/CMakeFiles/edit_cache.util: CUSTOM_COMMAND
  COMMAND = cd /Users/safak/Documents/ADS/Praktikum/cmake-build-debug/P2/ADS_P2_1_Sortieren && /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
  DESC = No interactive CMake dialog available...
  restat = 1

build P2/ADS_P2_1_Sortieren/edit_cache: phony P2/ADS_P2_1_Sortieren/CMakeFiles/edit_cache.util


#############################################
# Utility command for rebuild_cache

build P2/ADS_P2_1_Sortieren/CMakeFiles/rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cd /Users/safak/Documents/ADS/Praktikum/cmake-build-debug/P2/ADS_P2_1_Sortieren && /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/bin/cmake --regenerate-during-build -S/Users/safak/Documents/ADS/Praktikum -B/Users/safak/Documents/ADS/Praktikum/cmake-build-debug
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build P2/ADS_P2_1_Sortieren/rebuild_cache: phony P2/ADS_P2_1_Sortieren/CMakeFiles/rebuild_cache.util

# =============================================================================
# Write statements declared in CMakeLists.txt:
# /Users/safak/Documents/ADS/Praktikum/CMakeLists.txt
# =============================================================================

# =============================================================================
# Object build statements for EXECUTABLE target P2_2_Hashtable


#############################################
# Order-only phony target for P2_2_Hashtable

build cmake_object_order_depends_target_P2_2_Hashtable: phony || P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir

build P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir/main.cpp.o: CXX_COMPILER__P2_2_Hashtable_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P2/ADS_P2_2_Hashtable/main.cpp || cmake_object_order_depends_target_P2_2_Hashtable
  DEP_FILE = P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir/main.cpp.o.d
  FLAGS = -g -std=gnu++17 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always -fopenmp
  OBJECT_DIR = P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir
  OBJECT_FILE_DIR = P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir
  TARGET_COMPILE_PDB = P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir/
  TARGET_PDB = P2/ADS_P2_2_Hashtable/P2_2_Hashtable.pdb

build P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir/hashtable.cpp.o: CXX_COMPILER__P2_2_Hashtable_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P2/ADS_P2_2_Hashtable/hashtable.cpp || cmake_object_order_depends_target_P2_2_Hashtable
  DEP_FILE = P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir/hashtable.cpp.o.d
  FLAGS = -g -std=gnu++17 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always -fopenmp
  OBJECT_DIR = P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir
  OBJECT_FILE_DIR = P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir
  TARGET_COMPILE_PDB = P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir/
  TARGET_PDB = P2/ADS_P2_2_Hashtable/P2_2_Hashtable.pdb

build P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir/unit_tests.cpp.o: CXX_COMPILER__P2_2_Hashtable_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P2/ADS_P2_2_Hashtable/unit_tests.cpp || cmake_object_order_depends_target_P2_2_Hashtable
  DEP_FILE = P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir/unit_tests.cpp.o.d
  FLAGS = -g -std=gnu++17 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always -fopenmp
  OBJECT_DIR = P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir
  OBJECT_FILE_DIR = P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir
  TARGET_COMPILE_PDB = P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir/
  TARGET_PDB = P2/ADS_P2_2_Hashtable/P2_2_Hashtable.pdb


# =============================================================================
# Link build statements for EXECUTABLE target P2_2_Hashtable


#############################################
# Link the executable P2/ADS_P2_2_Hashtable/P2_2_Hashtable

build P2/ADS_P2_2_Hashtable/P2_2_Hashtable: CXX_EXECUTABLE_LINKER__P2_2_Hashtable_Debug P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir/main.cpp.o P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir/hashtable.cpp.o P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir/unit_tests.cpp.o | /opt/homebrew/Cellar/gcc/14.2.0_1/lib/gcc/current/libgomp.dylib
  FLAGS = -g -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk
  LINK_LIBRARIES = /opt/homebrew/Cellar/gcc/14.2.0_1/lib/gcc/current/libgomp.dylib
  OBJECT_DIR = P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir
  POST_BUILD = :
  PRE_LINK = :
  TARGET_COMPILE_PDB = P2/ADS_P2_2_Hashtable/CMakeFiles/P2_2_Hashtable.dir/
  TARGET_FILE = P2/ADS_P2_2_Hashtable/P2_2_Hashtable
  TARGET_PDB = P2/ADS_P2_2_Hashtable/P2_2_Hashtable.pdb


#############################################
# Utility command for edit_cache

build P2/ADS_P2_2_Hashtable/CMakeFiles/edit_cache.util: CUSTOM_COMMAND
  COMMAND = cd /Users/safak/Documents/ADS/Praktikum/cmake-build-debug/P2/ADS_P2_2_Hashtable && /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
  DESC = No interactive CMake dialog available...
  restat = 1

build P2/ADS_P2_2_Hashtable/edit_cache: phony P2/ADS_P2_2_Hashtable/CMakeFiles/edit_cache.util


#############################################
# Utility command for rebuild_cache

build P2/ADS_P2_2_Hashtable/CMakeFiles/rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cd /Users/safak/Documents/ADS/Praktikum/cmake-build-debug/P2/ADS_P2_2_Hashtable && /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/bin/cmake --regenerate-during-build -S/Users/safak/Documents/ADS/Praktikum -B/Users/safak/Documents/ADS/Praktikum/cmake-build-debug
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build P2/ADS_P2_2_Hashtable/rebuild_cache: phony P2/ADS_P2_2_Hashtable/CMakeFiles/rebuild_cache.util

# =============================================================================
# Write statements declared in CMakeLists.txt:
# /Users/safak/Documents/ADS/Praktikum/CMakeLists.txt
# =============================================================================

# =============================================================================
# Object build statements for EXECUTABLE target P3_Binaerbaum


#############################################
# Order-only phony target for P3_Binaerbaum

build cmake_object_order_depends_target_P3_Binaerbaum: phony || P3/CMakeFiles/P3_Binaerbaum.dir

build P3/CMakeFiles/P3_Binaerbaum.dir/main.cpp.o: CXX_COMPILER__P3_Binaerbaum_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P3/main.cpp || cmake_object_order_depends_target_P3_Binaerbaum
  DEP_FILE = P3/CMakeFiles/P3_Binaerbaum.dir/main.cpp.o.d
  FLAGS = -g -std=gnu++17 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always
  OBJECT_DIR = P3/CMakeFiles/P3_Binaerbaum.dir
  OBJECT_FILE_DIR = P3/CMakeFiles/P3_Binaerbaum.dir
  TARGET_COMPILE_PDB = P3/CMakeFiles/P3_Binaerbaum.dir/
  TARGET_PDB = P3/P3_Binaerbaum.pdb

build P3/CMakeFiles/P3_Binaerbaum.dir/Tree.cpp.o: CXX_COMPILER__P3_Binaerbaum_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P3/Tree.cpp || cmake_object_order_depends_target_P3_Binaerbaum
  DEP_FILE = P3/CMakeFiles/P3_Binaerbaum.dir/Tree.cpp.o.d
  FLAGS = -g -std=gnu++17 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always
  OBJECT_DIR = P3/CMakeFiles/P3_Binaerbaum.dir
  OBJECT_FILE_DIR = P3/CMakeFiles/P3_Binaerbaum.dir
  TARGET_COMPILE_PDB = P3/CMakeFiles/P3_Binaerbaum.dir/
  TARGET_PDB = P3/P3_Binaerbaum.pdb

build P3/CMakeFiles/P3_Binaerbaum.dir/TreeNode.cpp.o: CXX_COMPILER__P3_Binaerbaum_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P3/TreeNode.cpp || cmake_object_order_depends_target_P3_Binaerbaum
  DEP_FILE = P3/CMakeFiles/P3_Binaerbaum.dir/TreeNode.cpp.o.d
  FLAGS = -g -std=gnu++17 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always
  OBJECT_DIR = P3/CMakeFiles/P3_Binaerbaum.dir
  OBJECT_FILE_DIR = P3/CMakeFiles/P3_Binaerbaum.dir
  TARGET_COMPILE_PDB = P3/CMakeFiles/P3_Binaerbaum.dir/
  TARGET_PDB = P3/P3_Binaerbaum.pdb

build P3/CMakeFiles/P3_Binaerbaum.dir/TreeTest.cpp.o: CXX_COMPILER__P3_Binaerbaum_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P3/TreeTest.cpp || cmake_object_order_depends_target_P3_Binaerbaum
  DEP_FILE = P3/CMakeFiles/P3_Binaerbaum.dir/TreeTest.cpp.o.d
  FLAGS = -g -std=gnu++17 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always
  OBJECT_DIR = P3/CMakeFiles/P3_Binaerbaum.dir
  OBJECT_FILE_DIR = P3/CMakeFiles/P3_Binaerbaum.dir
  TARGET_COMPILE_PDB = P3/CMakeFiles/P3_Binaerbaum.dir/
  TARGET_PDB = P3/P3_Binaerbaum.pdb


# =============================================================================
# Link build statements for EXECUTABLE target P3_Binaerbaum


#############################################
# Link the executable P3/P3_Binaerbaum

build P3/P3_Binaerbaum: CXX_EXECUTABLE_LINKER__P3_Binaerbaum_Debug P3/CMakeFiles/P3_Binaerbaum.dir/main.cpp.o P3/CMakeFiles/P3_Binaerbaum.dir/Tree.cpp.o P3/CMakeFiles/P3_Binaerbaum.dir/TreeNode.cpp.o P3/CMakeFiles/P3_Binaerbaum.dir/TreeTest.cpp.o
  FLAGS = -g -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk
  OBJECT_DIR = P3/CMakeFiles/P3_Binaerbaum.dir
  POST_BUILD = :
  PRE_LINK = :
  TARGET_COMPILE_PDB = P3/CMakeFiles/P3_Binaerbaum.dir/
  TARGET_FILE = P3/P3_Binaerbaum
  TARGET_PDB = P3/P3_Binaerbaum.pdb


#############################################
# Utility command for edit_cache

build P3/CMakeFiles/edit_cache.util: CUSTOM_COMMAND
  COMMAND = cd /Users/safak/Documents/ADS/Praktikum/cmake-build-debug/P3 && /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
  DESC = No interactive CMake dialog available...
  restat = 1

build P3/edit_cache: phony P3/CMakeFiles/edit_cache.util


#############################################
# Utility command for rebuild_cache

build P3/CMakeFiles/rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cd /Users/safak/Documents/ADS/Praktikum/cmake-build-debug/P3 && /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/bin/cmake --regenerate-during-build -S/Users/safak/Documents/ADS/Praktikum -B/Users/safak/Documents/ADS/Praktikum/cmake-build-debug
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build P3/rebuild_cache: phony P3/CMakeFiles/rebuild_cache.util

# =============================================================================
# Write statements declared in CMakeLists.txt:
# /Users/safak/Documents/ADS/Praktikum/CMakeLists.txt
# =============================================================================

# =============================================================================
# Object build statements for EXECUTABLE target P4_Graph


#############################################
# Order-only phony target for P4_Graph

build cmake_object_order_depends_target_P4_Graph: phony || P4/CMakeFiles/P4_Graph.dir

build P4/CMakeFiles/P4_Graph.dir/main.cpp.o: CXX_COMPILER__P4_Graph_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P4/main.cpp || cmake_object_order_depends_target_P4_Graph
  DEP_FILE = P4/CMakeFiles/P4_Graph.dir/main.cpp.o.d
  FLAGS = -g -std=gnu++17 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always
  OBJECT_DIR = P4/CMakeFiles/P4_Graph.dir
  OBJECT_FILE_DIR = P4/CMakeFiles/P4_Graph.dir
  TARGET_COMPILE_PDB = P4/CMakeFiles/P4_Graph.dir/
  TARGET_PDB = P4/P4_Graph.pdb

build P4/CMakeFiles/P4_Graph.dir/DijkstraSP.cpp.o: CXX_COMPILER__P4_Graph_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P4/DijkstraSP.cpp || cmake_object_order_depends_target_P4_Graph
  DEP_FILE = P4/CMakeFiles/P4_Graph.dir/DijkstraSP.cpp.o.d
  FLAGS = -g -std=gnu++17 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always
  OBJECT_DIR = P4/CMakeFiles/P4_Graph.dir
  OBJECT_FILE_DIR = P4/CMakeFiles/P4_Graph.dir
  TARGET_COMPILE_PDB = P4/CMakeFiles/P4_Graph.dir/
  TARGET_PDB = P4/P4_Graph.pdb

build P4/CMakeFiles/P4_Graph.dir/EdgeWeightedDigraph.cpp.o: CXX_COMPILER__P4_Graph_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P4/EdgeWeightedDigraph.cpp || cmake_object_order_depends_target_P4_Graph
  DEP_FILE = P4/CMakeFiles/P4_Graph.dir/EdgeWeightedDigraph.cpp.o.d
  FLAGS = -g -std=gnu++17 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always
  OBJECT_DIR = P4/CMakeFiles/P4_Graph.dir
  OBJECT_FILE_DIR = P4/CMakeFiles/P4_Graph.dir
  TARGET_COMPILE_PDB = P4/CMakeFiles/P4_Graph.dir/
  TARGET_PDB = P4/P4_Graph.pdb

build P4/CMakeFiles/P4_Graph.dir/EdgeWeightedGraph.cpp.o: CXX_COMPILER__P4_Graph_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P4/EdgeWeightedGraph.cpp || cmake_object_order_depends_target_P4_Graph
  DEP_FILE = P4/CMakeFiles/P4_Graph.dir/EdgeWeightedGraph.cpp.o.d
  FLAGS = -g -std=gnu++17 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always
  OBJECT_DIR = P4/CMakeFiles/P4_Graph.dir
  OBJECT_FILE_DIR = P4/CMakeFiles/P4_Graph.dir
  TARGET_COMPILE_PDB = P4/CMakeFiles/P4_Graph.dir/
  TARGET_PDB = P4/P4_Graph.pdb

build P4/CMakeFiles/P4_Graph.dir/GraphTest.cpp.o: CXX_COMPILER__P4_Graph_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P4/GraphTest.cpp || cmake_object_order_depends_target_P4_Graph
  DEP_FILE = P4/CMakeFiles/P4_Graph.dir/GraphTest.cpp.o.d
  FLAGS = -g -std=gnu++17 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always
  OBJECT_DIR = P4/CMakeFiles/P4_Graph.dir
  OBJECT_FILE_DIR = P4/CMakeFiles/P4_Graph.dir
  TARGET_COMPILE_PDB = P4/CMakeFiles/P4_Graph.dir/
  TARGET_PDB = P4/P4_Graph.pdb

build P4/CMakeFiles/P4_Graph.dir/KruskalMST.cpp.o: CXX_COMPILER__P4_Graph_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P4/KruskalMST.cpp || cmake_object_order_depends_target_P4_Graph
  DEP_FILE = P4/CMakeFiles/P4_Graph.dir/KruskalMST.cpp.o.d
  FLAGS = -g -std=gnu++17 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always
  OBJECT_DIR = P4/CMakeFiles/P4_Graph.dir
  OBJECT_FILE_DIR = P4/CMakeFiles/P4_Graph.dir
  TARGET_COMPILE_PDB = P4/CMakeFiles/P4_Graph.dir/
  TARGET_PDB = P4/P4_Graph.pdb

build P4/CMakeFiles/P4_Graph.dir/PrimMST.cpp.o: CXX_COMPILER__P4_Graph_unscanned_Debug /Users/safak/Documents/ADS/Praktikum/P4/PrimMST.cpp || cmake_object_order_depends_target_P4_Graph
  DEP_FILE = P4/CMakeFiles/P4_Graph.dir/PrimMST.cpp.o.d
  FLAGS = -g -std=gnu++17 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always
  OBJECT_DIR = P4/CMakeFiles/P4_Graph.dir
  OBJECT_FILE_DIR = P4/CMakeFiles/P4_Graph.dir
  TARGET_COMPILE_PDB = P4/CMakeFiles/P4_Graph.dir/
  TARGET_PDB = P4/P4_Graph.pdb


# =============================================================================
# Link build statements for EXECUTABLE target P4_Graph


#############################################
# Link the executable P4/P4_Graph

build P4/P4_Graph: CXX_EXECUTABLE_LINKER__P4_Graph_Debug P4/CMakeFiles/P4_Graph.dir/main.cpp.o P4/CMakeFiles/P4_Graph.dir/DijkstraSP.cpp.o P4/CMakeFiles/P4_Graph.dir/EdgeWeightedDigraph.cpp.o P4/CMakeFiles/P4_Graph.dir/EdgeWeightedGraph.cpp.o P4/CMakeFiles/P4_Graph.dir/GraphTest.cpp.o P4/CMakeFiles/P4_Graph.dir/KruskalMST.cpp.o P4/CMakeFiles/P4_Graph.dir/PrimMST.cpp.o
  FLAGS = -g -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk
  OBJECT_DIR = P4/CMakeFiles/P4_Graph.dir
  POST_BUILD = :
  PRE_LINK = :
  TARGET_COMPILE_PDB = P4/CMakeFiles/P4_Graph.dir/
  TARGET_FILE = P4/P4_Graph
  TARGET_PDB = P4/P4_Graph.pdb


#############################################
# Utility command for edit_cache

build P4/CMakeFiles/edit_cache.util: CUSTOM_COMMAND
  COMMAND = cd /Users/safak/Documents/ADS/Praktikum/cmake-build-debug/P4 && /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
  DESC = No interactive CMake dialog available...
  restat = 1

build P4/edit_cache: phony P4/CMakeFiles/edit_cache.util


#############################################
# Utility command for rebuild_cache

build P4/CMakeFiles/rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cd /Users/safak/Documents/ADS/Praktikum/cmake-build-debug/P4 && /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/bin/cmake --regenerate-during-build -S/Users/safak/Documents/ADS/Praktikum -B/Users/safak/Documents/ADS/Praktikum/cmake-build-debug
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build P4/rebuild_cache: phony P4/CMakeFiles/rebuild_cache.util

# =============================================================================
# Target aliases.

build P1_1_Ringpuffer: phony P1/ADS_P1_1_Ringpuffer/P1_1_Ringpuffer

build P1_2_Binaerbaum: phony P1/ADS_P1_2_Binaerbaum/P1_2_Binaerbaum

build P2_1_Sortieren: phony P2/ADS_P2_1_Sortieren/P2_1_Sortieren

build P2_2_Hashtable: phony P2/ADS_P2_2_Hashtable/P2_2_Hashtable

build P3_Binaerbaum: phony P3/P3_Binaerbaum

build P4_Graph: phony P4/P4_Graph

# =============================================================================
# Folder targets.

# =============================================================================

#############################################
# Folder: /Users/safak/Documents/ADS/Praktikum/cmake-build-debug

build all: phony P1/ADS_P1_1_Ringpuffer/all P1/ADS_P1_2_Binaerbaum/all P2/ADS_P2_1_Sortieren/all P2/ADS_P2_2_Hashtable/all P3/all P4/all

# =============================================================================

#############################################
# Folder: /Users/safak/Documents/ADS/Praktikum/cmake-build-debug/P1/ADS_P1_1_Ringpuffer

build P1/ADS_P1_1_Ringpuffer/all: phony P1/ADS_P1_1_Ringpuffer/P1_1_Ringpuffer

# =============================================================================

#############################################
# Folder: /Users/safak/Documents/ADS/Praktikum/cmake-build-debug/P1/ADS_P1_2_Binaerbaum

build P1/ADS_P1_2_Binaerbaum/all: phony P1/ADS_P1_2_Binaerbaum/P1_2_Binaerbaum

# =============================================================================

#############################################
# Folder: /Users/safak/Documents/ADS/Praktikum/cmake-build-debug/P2/ADS_P2_1_Sortieren

build P2/ADS_P2_1_Sortieren/all: phony P2/ADS_P2_1_Sortieren/P2_1_Sortieren

# =============================================================================

#############################################
# Folder: /Users/safak/Documents/ADS/Praktikum/cmake-build-debug/P2/ADS_P2_2_Hashtable

build P2/ADS_P2_2_Hashtable/all: phony P2/ADS_P2_2_Hashtable/P2_2_Hashtable

# =============================================================================

#############################################
# Folder: /Users/safak/Documents/ADS/Praktikum/cmake-build-debug/P3

build P3/all: phony P3/P3_Binaerbaum

# =============================================================================

#############################################
# Folder: /Users/safak/Documents/ADS/Praktikum/cmake-build-debug/P4

build P4/all: phony P4/P4_Graph

# =============================================================================
# Built-in targets


#############################################
# Re-run CMake if any of its inputs changed.

build build.ninja: RERUN_CMAKE | /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeCCompiler.cmake.in /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeCCompilerABI.c /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeCInformation.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeCXXCompiler.cmake.in /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeCXXCompilerABI.cpp /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeCXXInformation.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeCommonLanguageInclude.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeCompilerIdDetection.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeDetermineCCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeDetermineCXXCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeDetermineCompileFeatures.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeDetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeDetermineCompilerABI.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeDetermineSystem.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeFindBinUtils.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeGenericSystem.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeInitializeConfigs.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeLanguageInformation.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeParseImplicitIncludeInfo.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeParseImplicitLinkInfo.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeParseLibraryArchitecture.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeSystem.cmake.in /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeSystemSpecificInformation.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeSystemSpecificInitialize.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeTestCCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeTestCXXCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeTestCompilerCommon.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/ADSP-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/ARMCC-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/ARMClang-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/AppleClang-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Borland-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Bruce-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/CMakeCommonCompilerMacros.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Clang-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Clang-DetermineCompilerInternal.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Comeau-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Compaq-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Compaq-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Cray-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/CrayClang-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Embarcadero-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Fujitsu-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/FujitsuClang-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/GHS-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/GNU-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/GNU-C.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/GNU-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/GNU-CXX.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/GNU-FindBinUtils.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/GNU.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/HP-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/HP-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/IAR-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/IBMCPP-C-DetermineVersionInternal.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/IBMCPP-CXX-DetermineVersionInternal.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/IBMClang-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/IBMClang-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Intel-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/IntelLLVM-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/LCC-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/LCC-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/MSVC-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/NVHPC-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/NVIDIA-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/OpenWatcom-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/OrangeC-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/PGI-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/PathScale-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/SCO-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/SDCC-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/SunPro-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/SunPro-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/TI-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Tasking-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/TinyCC-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/VisualAge-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/VisualAge-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Watcom-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/XL-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/XL-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/XLClang-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/XLClang-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/zOS-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/zOS-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/FindOpenMP.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/FindPackageHandleStandardArgs.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/FindPackageMessage.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Internal/FeatureTesting.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Platform/Apple-GNU-C.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Platform/Apple-GNU-CXX.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Platform/Apple-GNU.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Platform/Darwin-Determine-CXX.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Platform/Darwin-Initialize.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Platform/Darwin.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Platform/UnixPaths.cmake /Users/safak/Documents/ADS/Praktikum/CMakeLists.txt /Users/safak/Documents/ADS/Praktikum/P1/ADS_P1_1_Ringpuffer/CMakeLists.txt /Users/safak/Documents/ADS/Praktikum/P1/ADS_P1_2_Binaerbaum/CMakeLists.txt /Users/safak/Documents/ADS/Praktikum/P2/ADS_P2_1_Sortieren/CMakeLists.txt /Users/safak/Documents/ADS/Praktikum/P2/ADS_P2_2_Hashtable/CMakeLists.txt /Users/safak/Documents/ADS/Praktikum/P3/CMakeLists.txt /Users/safak/Documents/ADS/Praktikum/P4/CMakeLists.txt CMakeCache.txt CMakeFiles/3.28.1/CMakeCCompiler.cmake CMakeFiles/3.28.1/CMakeCXXCompiler.cmake CMakeFiles/3.28.1/CMakeSystem.cmake
  pool = console


#############################################
# A missing CMake input file is not an error.

build /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeCCompiler.cmake.in /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeCCompilerABI.c /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeCInformation.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeCXXCompiler.cmake.in /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeCXXCompilerABI.cpp /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeCXXInformation.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeCommonLanguageInclude.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeCompilerIdDetection.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeDetermineCCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeDetermineCXXCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeDetermineCompileFeatures.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeDetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeDetermineCompilerABI.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeDetermineCompilerId.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeDetermineSystem.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeFindBinUtils.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeGenericSystem.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeInitializeConfigs.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeLanguageInformation.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeParseImplicitIncludeInfo.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeParseImplicitLinkInfo.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeParseLibraryArchitecture.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeSystem.cmake.in /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeSystemSpecificInformation.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeSystemSpecificInitialize.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeTestCCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeTestCXXCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/CMakeTestCompilerCommon.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/ADSP-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/ARMCC-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/ARMClang-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/AppleClang-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Borland-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Bruce-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/CMakeCommonCompilerMacros.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Clang-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Clang-DetermineCompilerInternal.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Comeau-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Compaq-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Compaq-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Cray-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/CrayClang-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Embarcadero-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Fujitsu-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/FujitsuClang-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/GHS-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/GNU-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/GNU-C.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/GNU-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/GNU-CXX.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/GNU-FindBinUtils.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/GNU.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/HP-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/HP-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/IAR-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/IBMCPP-C-DetermineVersionInternal.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/IBMCPP-CXX-DetermineVersionInternal.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/IBMClang-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/IBMClang-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Intel-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/IntelLLVM-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/LCC-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/LCC-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/MSVC-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/NVHPC-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/NVIDIA-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/OpenWatcom-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/OrangeC-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/PGI-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/PathScale-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/SCO-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/SDCC-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/SunPro-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/SunPro-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/TI-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Tasking-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/TinyCC-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/VisualAge-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/VisualAge-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/Watcom-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/XL-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/XL-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/XLClang-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/XLClang-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/zOS-C-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Compiler/zOS-CXX-DetermineCompiler.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/FindOpenMP.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/FindPackageHandleStandardArgs.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/FindPackageMessage.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Internal/FeatureTesting.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Platform/Apple-GNU-C.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Platform/Apple-GNU-CXX.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Platform/Apple-GNU.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Platform/Darwin-Determine-CXX.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Platform/Darwin-Initialize.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Platform/Darwin.cmake /Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/Platform/UnixPaths.cmake /Users/safak/Documents/ADS/Praktikum/CMakeLists.txt /Users/safak/Documents/ADS/Praktikum/P1/ADS_P1_1_Ringpuffer/CMakeLists.txt /Users/safak/Documents/ADS/Praktikum/P1/ADS_P1_2_Binaerbaum/CMakeLists.txt /Users/safak/Documents/ADS/Praktikum/P2/ADS_P2_1_Sortieren/CMakeLists.txt /Users/safak/Documents/ADS/Praktikum/P2/ADS_P2_2_Hashtable/CMakeLists.txt /Users/safak/Documents/ADS/Praktikum/P3/CMakeLists.txt /Users/safak/Documents/ADS/Praktikum/P4/CMakeLists.txt CMakeCache.txt CMakeFiles/3.28.1/CMakeCCompiler.cmake CMakeFiles/3.28.1/CMakeCXXCompiler.cmake CMakeFiles/3.28.1/CMakeSystem.cmake: phony


#############################################
# Clean all the built files.

build clean: CLEAN


#############################################
# Print all primary targets available.

build help: HELP


#############################################
# Make the all target the default.

default all
